const int pingPin1 = 8;
const int echoPin1 = 7;

const int pingPin2 = 6;
const int echoPin2 = 5;

const int motorPin1 = 4;
const int motorPin2 = 3;
int speed1 = 10;
int speed2 = 122;
int speed3 = 255;

void setup() {
  SerialUSB.begin(9600);
}

void loop() {
   long duration1, inches1, cm1;
   long duration2, inches2, cm2;

   pinMode(motorPin1, INPUT);
   pinMode(motorPin2, INPUT);
   
   pinMode(pingPin1, OUTPUT);
   digitalWrite(pingPin1, LOW);
   pinMode(pingPin2, OUTPUT);
   digitalWrite(pingPin2, LOW);
   
   delayMicroseconds(2);
   
   digitalWrite(pingPin1, HIGH);
   digitalWrite(pingPin2, HIGH);
   
   delayMicroseconds(10);
   
   digitalWrite(pingPin1, LOW);
   pinMode(echoPin1, INPUT);
   duration1 = pulseIn(echoPin1, HIGH);
   digitalWrite(pingPin2, LOW);
   pinMode(echoPin2, INPUT);
   duration2 = pulseIn(echoPin2, HIGH);
   
   inches1 = microsecondsToInches(duration1);
   cm1 = microsecondsToCentimeters(duration1);
   inches2 = microsecondsToInches(duration2);
   cm2 = microsecondsToCentimeters(duration2);
   
   SerialUSB.print(inches1);
   SerialUSB.println("in1, ");
   SerialUSB.print(inches2);
   SerialUSB.print("in2, ");
   // SerialUSB.print(cm);
   // SerialUSB.print("cm");
   // SerialUSB.println();
   
   if (inches1 < 9 && inches1 > 5)
   {
    analogWrite(motorPin1, speed1);
    delay(2000);
    analogWrite(motorPin1, 0);
    delay(2000);
    }
   if (inches2 < 9 && inches2 > 5)
   {
    analogWrite(motorPin2, speed1);
    delay(2000);
    analogWrite(motorPin2, 0);
    delay(2000);
    }

   if (inches1 < 6 && inches1 > 2)
   {
    analogWrite(motorPin1, speed2);
    delay(1000);
    analogWrite(motorPin1, 0);
    delay(1000);
    }
   if (inches2 < 6 && inches2 > 2)
   {
    analogWrite(motorPin2, speed2);
    delay(1000);
    analogWrite(motorPin1, 0);
    delay(1000);
    }

    if (inches1 < 3)
   {
    analogWrite(motorPin1, speed3);
    }
   if (inches2 < 3)
   {
    analogWrite(motorPin2, speed3);
    }

   
   delay(100);
}

long microsecondsToInches(long microseconds) {
   return microseconds / 74 / 2;
}

long microsecondsToCentimeters(long microseconds) {
   return microseconds / 29 / 2;
}
